// CardGameEx4.java

import ch.aplu.jcardgame.*;
import ch.aplu.jgamegrid.*;

public class CardGameEx4 extends CardGame
{
  public enum Suit
  {
    KREUZ, KARO, HERZ, PIK
  }

  public enum Rank
  {
    ASS, KOENIG, DAME, BAUER, ZEHN, NEUN, ACHT, SIEBEN, SECHS
  }
  private Deck deck = new Deck(Suit.values(), Rank.values(), "cover");

  public CardGameEx4()
  {
    super(600, 600);
    setSimulationPeriod(30);
    Card card = new Card(deck, Suit.HERZ, Rank.ASS);
    card.associateActor(1, 0);
    addActor(card.getCardActor(), new Location(400, 400));
    card.slideToTarget(new Location(100, 200), 5, true);
  }

  public static void main(String[] args)
  {
    new CardGameEx4();
  }
}
